Contents
Index 🔎︎

# Atn Function

Atn on trigonometrinen funktio, joka palauttaa numeerisen lausekkeen arkustangentin. Palautusarvo on välillä -pii/2 ... +pii/2.

Arkustangentti on tangenttifunktion käänteisfunktio. Voidaan ajatella, että Atn-funktio palauttaa "alfa"-kulman radiaaneissa käyttäen tämän kulman tangenttia argumenttinaan. Funktio voi myös palauttaa "alfan" vertaamalla kulman vastakkaisen sivun pituuden suhdetta kulman viereisen sivun (kateetin) pituuteen suorakulmaisessa kolmiossa.

Atn(kulman vastakkainen sivu/kulman viereinen kateetti)= kulma (alfa)

### Syntax:

            Atn (luku1)

### Return value:

Double

### Parameters:

Luku1: mikä tahansa numeerinen lauseke, joka edustaa suorakulmaisen kolmion kateettien suhdetta. Atn-funktio palauttaa vastaavan kulman radiaaneissa (arkustangentti).

Radiaanien muuntamiseksi asteiksi, kerro radiaanit termillä 180/pi.

asteet=(radiaanit*180)/Pi

radiaanit=(asteet*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159. Pi is a Basic mathematical constant.

## Error codes:

5 Virheellinen proseduurikutsu

### Example:

            ' Tämä esimerkki laskee suorakulmaisesta kolmiosta...
            ' ... kulman alfa sen tangentista:
            Sub ExampleAtn
            ' Pi = 3.14159 (pyöristettynä) on esimääritelty vakio, piin likiarvo
            Dim d1 As Double
            Dim d2 As Double
                d1 = InputBox("Anna alfa-kulman viereisen kateetin pituus: ","Viereinen kateetti")
                d2 = InputBox("Anna alfa-kulman vastaisen sivun pituus: ","Vastainen kateetti")
                Print "Kulma alfa on"; (atn (d2/d1) * 180 / Pi); " astetta"
            End Sub